Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 13:58
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Gimp 2.8.10 pet for Precise Raring Slacko Wheezy
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
don570


Joined: 10 Mar 2010
Posts: 3254
Location: Ontario

PostPosted: Wed 04 Dec 2013, 20:41    Post subject:  Gimp 2.8.10 pet for Precise Raring Slacko Wheezy  

alternate SFS version

I compiled Gimp 2.8.10 in Precise Puppy using the following configuration.

Code:

./configure  --prefix=/usr --datarootdir=/usr/share


This version will run on Precise Raring Slacko. A wheezy
version was compiled separately.

I decided to compile with python enabled (default) because I found that
.ora files from mypaint won't open unless compiling is done
on a full python installation. I haven't included python in the gimp
packages to keep them small, but there is an
optional python 2.7.2 package listed if needed, however it is not
a full package that can be used for compiling Crying or Very sad .
Wheezy required a separate compile, so a second gimp package is listed.

Note - untick in datafilehost box to avoid download application

gimp-precise-2.8.10.pet 17MB

or a convenient SFS package by vicz (Warning!! this SFS file only works with Precise Puppy)
gimp-precise-2.8.10 5.7.1.sfs 17MB


________________________________________________________

For Wheezy I had to compile separately because of gegl-babl differences.

gimp-wheezy-2.8.10.pet 19MB
___________________________________________

Foreign language locales should work in all distros
gimp-precise NLS-2.8.10.pet 11.5 MB (optional foreign locales and docs)


_____________________________________________-

Optional python package to open mypaint ORA files

Python-2.7.2-i486.pet 6mb

_______________________________________________________

Last edited by don570 on Sat 07 Dec 2013, 13:33; edited 4 times in total
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1104

PostPosted: Wed 04 Dec 2013, 22:50    Post subject:  

Thank you! Very Happy
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
koulaxizis


Joined: 17 Jul 2011
Posts: 428
Location: Greece

PostPosted: Thu 05 Dec 2013, 05:44    Post subject:  

Worked nice on Slacko 5.6.3. Thanks mate!

I added it to the wiki... http://puppylinux.org/wikka/gimp

_________________
Christos Koulaxizis
Woof woof from Greece...

[ Puppy packages | Puppy search ]
Back to top
View user's profile Send private message Visit poster's website 
vicmz


Joined: 15 Jan 2012
Posts: 1104

PostPosted: Thu 05 Dec 2013, 15:11    Post subject:  

SFS for Precise (made from Don's pet):

http://yadi.sk/d/0S904zKaDqwP3

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3254
Location: Ontario

PostPosted: Thu 05 Dec 2013, 16:10    Post subject:  

Thanks to VICZ for the SFS. I posted it in first post at datafilehost.com
so you don't have to use your service.

_________________________________________
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1104

PostPosted: Fri 06 Dec 2013, 17:34    Post subject:  

Here is the Wheezy version converted to SFS:

Link removed, read my edit below to learn more

For those who were possibly using an SFS of an older version (for example Gimp 2.8.2), if you unload the older version SFS and then load the new one, you get a libgimp version conflict message. You can simply create a new save file to solve this. Or maybe a more experienced forum user will tell how to do it without creating a new save file.

Again, thanks don570.

EDIT:

I made a fresh save file of Dpup Wheezy, loaded the SFS and got the libgimp version mismatch message anyway. However, I didn't get the message by installing the PET file, which will replace any old files (built directly into the ISO?) with those of the latest version, so for Dpup Wheezy the PET is better.
image-1.png
 Description   
 Filesize   12.16 KB
 Viewed   1464 Time(s)

image-1.png


_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3254
Location: Ontario

PostPosted: Sat 07 Dec 2013, 13:31    Post subject:  

Thanks to VICZ for info. I've had a lot of problems with SFS packages
(especially on Wheezy, that is why I avoid making them as much
as possible).

I did test your SFS package on a fresh precise install and it worked
except for launches from start menu would ask for an image to open,
but it still worked. This is an old problem I've seen before with my
previous gimp SFS packages. I'll leave the SFS package in the first
post but give a warning.

I've been able to make an Audacity pet from the nightly build of
launchpad.net using alien2puppy. It's reasonably stable
(no crashes with a 2 hour recording!!) so I'll post it later today.

_______________________________________________


___________________________________________________
Back to top
View user's profile Send private message 
koulaxizis


Joined: 17 Jul 2011
Posts: 428
Location: Greece

PostPosted: Wed 11 Dec 2013, 10:31    Post subject: Re: Gimp 2.8.10 pet for Precise Raring Slacko Wheezy  

don570 wrote:

For Wheezy I had to compile separately because of gegl-babl differences.

gimp-wheezy-2.8.10.pet 19MB


Worked fine on Wheezy 3.5.2.11. Thanks!

_________________
Christos Koulaxizis
Woof woof from Greece...

[ Puppy packages | Puppy search ]
Back to top
View user's profile Send private message Visit poster's website 
slavvo67

Joined: 12 Oct 2012
Posts: 372
Location: The other Mr. 305

PostPosted: Sun 26 Jan 2014, 20:07    Post subject:  

Are there any GIMP pets that work on the new Quirky?

Thanks,

Slavvo67
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3254
Location: Ontario

PostPosted: Thu 30 Jan 2014, 21:25    Post subject:  

I was able to get an older version
to compile

http://www.murga-linux.com/puppy/viewtopic.php?p=744554#744554
_____________________________________
Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 372
Location: The other Mr. 305

PostPosted: Fri 31 Jan 2014, 02:41    Post subject:  

Don,

You're the best! Thanks! Note, oddly it didn't work in Tahr. I installed in Tahr first by accident. Works like a charm in Quirky 6.1.3!

Thanks and best regards!

Slavvo67
Back to top
View user's profile Send private message 
live

Joined: 10 Feb 2010
Posts: 155

PostPosted: Sat 05 Apr 2014, 17:20    Post subject:  

Would you be so kind to provide a straight download, it first downloads a exe.

Thanks
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3254
Location: Ontario

PostPosted: Mon 07 Apr 2014, 19:55    Post subject:  

Look carefully at the instructions in datafilehost window.

You untick the box for the loader, then it will act with http.


By the way I highly recommend gimp painter SFS by RHS instead.

Available:

http://www.murga-linux.com/puppy/viewtopic.php?t=91074

____________________________________________
Back to top
View user's profile Send private message 
Tombombadil

Joined: 11 Apr 2014
Posts: 3

PostPosted: Thu 24 Apr 2014, 05:01    Post subject: Thank you ...  

... had several problems with Gimp, but now it works fine with your help!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0830s ][ Queries: 13 (0.0135s) ][ GZIP on ]